Bug 126421 - Outdated package provided
Outdated package provided
Product: Fedora
Classification: Fedora
Component: libdbi (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Depends On:
  Show dependency treegraph
Reported: 2004-06-21 10:39 EDT by Mihai Maties
Modified: 2013-07-02 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-17 18:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mihai Maties 2004-06-21 10:39:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
The libdbi package is _very_ old. It hasn't been updated since Red Hat 8.0 even though the 0.7.2 stable version is available upstream. Maybe it was left behind because this RPM is not currently used by any other FC2 package.

I'm in a very interesting position: I want to submit a rpm to fedora.us that requires libdbi >= 0.7.2 but I cannot because the official libdbi package is too old and fedora.us does not allow updates of the official packages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
rpm -q libdbi

Actual Results:  libdbi-0.6.5-8.1

Expected Results:  libdbi-0.7.2 :)

Additional info:
Comment 1 Tom Lane 2004-06-21 11:03:15 EDT
Actually, the reason it's still 0.6.* is that the last time I spoke
with the libdbi author, he felt that release 1.0 was just around the
bend, and we (Red Hat) didn't want to adopt 0.7 because it represented
only part of the non-backwards-compatible API changes he intended to
make for 1.0.  This was at least a year ago though.  Do you have any
more up-to-date news about the development calendar for libdbi?

(It is true that we've seen little or no indication anyone is actually
using libdbi in RHEL or Fedora...)
Comment 2 Mihai Maties 2004-06-21 11:45:25 EDT
I don't know of any development calendar for libdbi but considering 
on how the things moved in the past I believe if we wait for 1.0 
then FC4 will be shipped with 0.6.5, too :) 
All I know is that the package I want to provide (a tool for 
analysing traffic and identifing DoS/DDoS attacks) requires libdbi 
>= 0.7 and without it I'm stuck. 
Let's take this in another way: if there is little indication of 
people using libdbi then nobody will complain if it's updated but 
probably me (and others) will be happy. :) 
The only main [packaging] difference between 0.6.5 and 0.7.2 would 
be the fact that now the libdbi drivers are provided in a separate 
tar.gz archive. 
Comment 3 Tom Lane 2004-06-21 12:15:48 EDT
Okay.  Now that I think about it, the decision to stick with 0.6.* was
actually made in the context of RHEL3, where we have a lot of
backwards-compatibility restrictions about adopting new versions with
new APIs; that concern doesn't apply to Fedora.

I'll work on doing this, but I can't put very high priority on it...
Comment 4 Mihai Maties 2005-03-10 03:14:33 EST
I requested on the fedora-devel mailing list for this package to be dropped from
FC4 (https://www.redhat.com/archives/fedora-devel-list/2005-March/msg00659.html)
unfortunately nobody cared to answer.

I am willing to maintain this package in Extras but I cannot do it if you guys
keep providing the outdated version.

If you do not want to drop the package from Core then you could at least update
it to the latest stable version. I created 2 spec files for my repository, but
with a little bit of cleanup might be of help to you:


[ I set the priority to "normal" to speed up things a little considering the
upcoming FC4test1 release. ]
Comment 5 Tom Lane 2005-03-17 18:01:02 EST
I've finally rebuilt libdbi 0.7.2/0.7.1 in rawhide.  It's a bit too late for
FC4test1 but should be in test2.

Pushing the package out to Extras sounds good to me if there's a volunteer to
maintain it.  The impression I have is that Extras isn't quite stable enough for
that as of FC4, but maybe by FC5.
Comment 6 Mihai Maties 2005-03-20 03:33:12 EST
Of course Extras is at the beginning of its path and a lot of  
problems pop up but a set of packages would be ready for FC4.  
If you drop libdbi from Core I'm willing to maintain it in Extras as  
soon as possible. 

Note You need to log in before you can comment on or make changes to this bug.